# Update the settings for an advertiser

| HTTP method | Endpoint                             |
| ----------- | ------------------------------------ |
| **PUT**     | **/v1/advertisers/{advertiser\_id}** |

## Path parameters <a href="#path-parameters" id="path-parameters"></a>

| Parameter      | Description                       |
| -------------- | --------------------------------- |
| advertiser\_id | The unique id for the advertiser. |

## Request body parameters <a href="#request-body-parameters" id="request-body-parameters"></a>

**Note: individual field can be selected when updating. If the selected field is non-empty field, then the field value can not be empty**

|                       | Field                     | Type    | Description                                                                                                                       | Nullable |   |
| --------------------- | ------------------------- | ------- | --------------------------------------------------------------------------------------------------------------------------------- | -------- | - |
| advertiser            |                           |         |                                                                                                                                   |          |   |
|                       | first\_name               | string  | The first\_name of the this Advertiser.                                                                                           | No       |   |
|                       | last\_name                | string  | The last\_name of the this Advertiser.                                                                                            | No       |   |
|                       | email                     | string  | The email of the this Advertiser.                                                                                                 | No       |   |
|                       | company                   | string  | The company of the this Advertiser.                                                                                               | No       |   |
|                       | country                   | string  | The country of the Advertiser’s physical address.                                                                                 |          |   |
|                       | status                    | string  | The status of the Advertiser and only fill the active when create .  Allowed values when update: active·blocked·deleted           | No       |   |
|                       | instant\_message\_account | string  | Instant messaging account.                                                                                                        | Yes      |   |
|                       | instant\_message\_type    | integer | Types of instant messaging：  Allowed values:  0 Other; 1 Skype;  2 Gtalk;   3 QQ;   4 Yahoo;   5 Facebook;  6 WeChat;  7 Twitter; | No       |   |
|                       | manager\_id               | integer | Account Manager ID.                                                                                                               | No       |   |
|                       | phone                     | string  | The phone number of the Advertiser.                                                                                               | Yes      |   |
|                       | website                   | string  |                                                                                                                                   | Yes      |   |
|                       | security\_mode            | integer | selection to activate security code.   0：close ;  1：open                                                                          | Yes      |   |
|                       | password                  | string  | password                                                                                                                          | No       |   |
|                       | click\_signing\_name      | string  | When you select Appsflyer, the corresponding ID is returned.Possible Values:0 Disabled;ID(Appsflyer) Enabled                      |          |   |
| advertiser\_whitelist |                           |         |                                                                                                                                   |          |   |
|                       | is\_open                  | integer | open whitelist.  0：close ;  1：open  **NOTE: when is\_open=1, whitelist information cannot be empty.**                             |          |   |
|                       | ip\_address               | array   | ip address                                                                                                                        |          |   |
|                       | ip                        | string  | ip                                                                                                                                |          |   |
|                       | ip\_range                 | array   | ip range                                                                                                                          |          |   |
|                       | start                     | string  | start ip                                                                                                                          |          |   |
|                       | end                       | string  | end ip                                                                                                                            |          |   |

## Response body parameters <a href="#response-body-parameters" id="response-body-parameters"></a>

|                       | Field                     | Type    | Description                                              |   |
| --------------------- | ------------------------- | ------- | -------------------------------------------------------- | - |
| advertiser            |                           |         |                                                          |   |
|                       | id                        | integer | A string that uniquely identifies this advertiser.       |   |
|                       | first\_name               | string  | The first\_name of the this Advertiser.                  |   |
|                       | last\_name                | string  | The last\_name of the this Advertiser.                   |   |
|                       | email                     | string  | The email of the this Advertiser.                        |   |
|                       | company                   | string  | The company of the this Advertiser.                      |   |
|                       | country                   | string  | The country of the Advertiser's physical address.        |   |
|                       | status                    | string  | Advertiser status.                                       |   |
|                       | instant\_message\_account | string  | Instant messaging account.                               |   |
|                       | instant\_message\_type    | integer | types of instant messaging.                              |   |
|                       | manager\_id               | integer | Account Manager ID.                                      |   |
|                       | phone                     | string  | The phone number of the Advertiser.                      |   |
|                       | website                   | string  |                                                          |   |
|                       | security\_mode            | integer | selection to activate security code.   0：close ;  1：open |   |
|                       | security\_code            | string  | conversion security code                                 |   |
|                       | create\_time              | integer | Create time                                              |   |
| advertiser\_whitelist |                           |         |                                                          |   |
|                       | ip\_address               | array   | ip address                                               |   |
|                       | ip                        | string  | ip                                                       |   |
|                       | ip\_range                 | array   | ip range                                                 |   |
|                       | start                     | string  | start ip                                                 |   |
|                       | end                       | string  | end ip                                                   |   |

## Example request <a href="#example-request" id="example-request"></a>

**Request POST** <https://{networkname}.api.offerslook.com/v1/advertisers/4865>

**Request POST** <http://{networkname}.api.offerslook.com/v1/advertisers/4865>

```
    {
      "advertiser": {
        "company": "UC Union",
        "country": "Asia/Pacific Region",
        "email": "test@test.com",
        "first_name": "advertiser",
        "password": "abc123",
        "instant_message_account": "test@facebook.com",
        "instant_message_type": 3,
        "last_name": "test",
        "manager_id": 7,
        "phone": "11122223333",
        "status": "active",
        "website": "http://www.baidu.com",
        "security_mode": 1
      },
      "advertiser_whitelist": {
        "is_open": 1,
        "ip_address": [
          {
            "ip": "192.168.21.23"
          },
          {
            "ip": "192.168.11.100"
          }
        ],
        "ip_range": [
          {
            "start": "192.168.2.1",
            "end": "192.168.2.222"
          },
          {
            "start": "192.168.5.110",
            "end": "192.168.5.222"
          }
        ]
      }
    }
```

## Example response <a href="#example-response" id="example-response"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "advertiser": {
          "id": 4865,
          "email": "test@test.com",
          "first_name": "advertiser",
          "last_name": "test",
          "country": "Asia/Pacific Region",
          "status": "active",
          "website": "http://www.baidu.com",
          "create_time": 1458648895,
          "company": "UC Union",
          "phone": "11122223333",
          "manager_id": 7,
          "instant_message_type": 3,
          "instant_message_account": "test@facebook.com",
          "security_mode": 1,
          "security_code": "1965c04d1fb142c584564a5066699fb0"
        },
        "advertiser_whitelist": {
          "is_open": 1,
          "ip_address": [
            {
              "ip": "192.168.21.23"
            },
            {
              "ip": "192.168.11.100"
            }
          ],
          "ip_range": [
            {
              "start": "192.168.2.1",
              "end": "192.168.2.222"
            },
            {
              "start": "192.168.5.110",
              "end": "192.168.5.222"
            }
          ]
        }
      }
    }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/advertisers/update_the_settings_for_an_advertiser.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
